Subject: Re: bug#12852: 24.2; `exit-function' not supported in completion table's metadata alist

From: Stefan Monnier <[email-masked]>
Date: Sat, 10 Nov 2012 17:33:48 -0500

> It seems inconsistent that exit-function is not implemented and
> documented like annotation-function. (info "(elisp)Programmed
> Completion")

AFAIK, the exit-function is a global property that applies to the whole
completion, whereas the annotation function is related to the
all-completions output, which can vary depending on where point is
(e.g. in file-name completion the *Completions* buffer may list files or
envvars, so you may need two different annotation-functions).

Hence the exit-function doesn't make much sense in the completion
table's metadata.

        Stefan